#!/usr/bin/env python
#
# Copyright 2006, CRIM, Revolution Linux Inc.
#
# $Id$
#
# Authors : Ivan Arsenault Ivan.Arsenault@crim.ca
#
# This file is part of the MILLE-XTERM project.
#
#       http://www.revolutionlinux.com/mille-xterm/
#       http://www.mille.ca/
#
# This program is covered by the GNU General Public License.
# See the COPYING file in the top-level MILLE-XTERM directory.
#
# -------------------------------------------------------------------------
#
# Load balancer server wrapper for MILLE-XTERM

"""Distutils setup script for 'lbserver'."""

import sys, os, shutil, getopt
from distutils.core import setup, Extension

version_string = "0.0.1"

confDir = 'etc/mille-xterm'
confFile = ["lbsconfig.xml"]
startupDir = 'etc/init.d'
startupScript = ["lbserver"]
lbagentFilesDir = 'usr/share/mille-xterm/lbserver'
#pyFiles = ["cron.py","lbserverfactory.py","loadbalancer.py","setup.py","__init__.py","lbserver.py","main.py"]
pyFiles = ["lbserverfactory.py","setup.py","__init__.py","lbserver.py","main.py","utils.py"]
confFiles = ["lbsconfig.xml"]

setup(name="lbserver",
      version=version_string,
      description="MILLE-XTERM load balancer server",
      author="Stephane Bond",
      author_email="Stephane.Bond@crim.ca",
	  url="http://www.mille.ca/xterm/",
      license="GPL",
      platforms=["Linux"],
      long_description="""\
This is the load balancer server of the MILLE-XTERM project.
""",
      data_files=[ 	(lbagentFilesDir, pyFiles),
					(lbagentFilesDir, confFiles),
					(startupDir, startupScript),
					(confDir, confFile),
                 ]
	  )
